#ifndef __HTH_MONSTER_H__
#define __HTH_MONSTER_H__

struct _monster
{
  int layer_size;
  int **state;
  int victory_condition;
  int *score;
  /* layer_top must be less than (not equal to) layer_size
   * layer_top must be 1 or greater
   */
  int layer_top;
  int *turn_player;
  int **grid_from;
  int **grid_to;
};
typedef struct _monster monster;

monster *monster_new(int layer_size);
void monster_delete(monster *p);
int monster_think(monster *p, int layer_now);

#endif /* not __HTH_MONSTER_H__ */
